=== debian/changelog ===
srt (1.4.1-5~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Jun 2020 08:19:59 -0700

srt (1.4.1-5) unstable; urgency=medium

  * Update Conflicts / Provides

 -- Federico Ceratto <federico@debian.org>  Sun, 14 Jun 2020 10:47:47 +0100

srt (1.4.1-4) unstable; urgency=medium

  * Add Break + Replaces (Closes: #962624)
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>

 -- Federico Ceratto <federico@debian.org>  Sat, 13 Jun 2020 00:17:35 +0100

srt (1.4.1-3) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * fix multiarch paths (Closes: #962619)

 -- Federico Ceratto <federico@debian.org>  Wed, 10 Jun 2020 20:33:17 +0100

srt (1.4.1-2) unstable; urgency=medium

  * Split build against OpenSSL and GnuTLS (Closes: #933180)

 -- Federico Ceratto <federico@debian.org>  Tue, 19 May 2020 23:54:34 +0100

srt (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Add libssl-dev dep (Closes: #933178)

 -- Federico Ceratto <federico@debian.org>  Sat, 09 May 2020 23:39:04 +0100
