=== scripts/changelog/requirements.txt ===
click>=7.1.2
numpy>=1.19.1
pandas>=0.25.3
