=== debian/changelog ===
srt (1.4.2-2) unstable; urgency=medium

  * A bugfixes-first-more-invasive-changes-later release

  [ Federico Ceratto ]
  * [a7c6458] Remove myself as maintainer

  [ Florian Ernst ]
  * [47532c2] fix FTFBS with GCC-11 by adding '#include <limits>' to
    srtcore/sync.h.  Thanks to Steve Langasek (Closes: #984352)
  * [a62d7c3] libsrt-openssl-dev: install correct pkg-config file
    (Closes: #1001529)
  * [bf212f4] debian/control: new maintainer (Closes: #964904)

 -- Florian Ernst <florian@debian.org>  Fri, 25 Feb 2022 18:01:07 +0100

srt (1.4.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Jul 2021 12:29:44 +0200

srt (1.4.2-1.3) unstable; urgency=medium

  * Fix arch-indep-only builds by not trying to install the libraries that
    were not built.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Jan 2021 16:15:04 +0200

srt (1.4.2-1.2) unstable; urgency=medium

  * Source-only upload without changes.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Jan 2021 14:27:41 +0200

srt (1.4.2-1.1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Pass flags to cmake (Closes: #971811)
    Thanks to Helmut Grohne <helmut@subdivi.de>

  [ Sebastian Dröge ]
  * Include upstream patch to make the major.minor version the soname. Between
    minor releases there won't be any further ABI changes. (Closes: #971754)

    As a result of this also rename the binary packages accordingly.

    Patch taken from https://github.com/Haivision/srt/pull/1741

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 Jan 2021 10:30:39 +0200

srt (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #963798)
    Thanks to Vasyl Gello <vasek.gello@gmail.com>

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Oct 2020 11:40:07 +0100
