=== debian/rules ===
--- 
+++ 
@@ -18,35 +18,33 @@
 export USE_ENCLIB=gnutls
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --buildsystem=cmake+makefile
 
 override_dh_auto_clean:
 	dh_clean
 	rm -rf CMakeFiles/ debian/html build-openssl build-gnutls
+	rm -rf CMakeFiles/ debian/doctrees debian/html build-openssl build-gnutls
 
 override_dh_auto_configure:
-	#dh_auto_configure --builddirectory=debian/build/openssl \
-	#	-- --use-enclib=openssl
-	#dh_auto_configure --builddirectory=debian/build/gnutls \
-	#	-- --use-enclib=gnutls
-	mkdir -p build-openssl build-gnutls
-	cd build-openssl && cmake .. $(CMAKE_OPTS) -DUSE_ENCLIB=openssl
-	cd build-gnutls && cmake .. $(CMAKE_OPTS) -DUSE_ENCLIB=gnutls -DTARGET_srt=srt-gnutls
+	dh_auto_configure --builddirectory=build-openssl -- $(CMAKE_OPTS) -DUSE_ENCLIB=openssl
+	dh_auto_configure --builddirectory=build-gnutls -- $(CMAKE_OPTS) -DUSE_ENCLIB=gnutls -DTARGET_srt=srt-gnutls
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	#dh_auto_build --builddirectory=debian/build/openssl
 	#dh_auto_build --builddirectory=debian/build/gnutls
 	mkdir -p build-openssl build-gnutls
 	cd build-openssl && $(MAKE)
 	cd build-gnutls && $(MAKE)
-	http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -c debian -bhtml docs debian/html
 
-override_dh_auto_install:
+override_dh_auto_build-indep:
+	http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -c debian -d debian/doctrees -bhtml docs debian/html
+
+override_dh_auto_install-arch:
 	#dh_auto_install
-	#mkdir -p debian/libsrt1-openssl/usr/lib/$(DEB_HOST_MULTIARCH)
-	#cp debian/build/openssl/libsrt*so* debian/libsrt1-openssl/usr/lib/$(DEB_HOST_MULTIARCH)/
-	#mkdir -p debian/libsrt1-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
-	#cp debian/build/gnutls/libsrt*so* debian/libsrt1-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)/
+	#mkdir -p debian/libsrt1.4-openssl/usr/lib/$(DEB_HOST_MULTIARCH)
+	#cp debian/build/openssl/libsrt*so* debian/libsrt1.4-openssl/usr/lib/$(DEB_HOST_MULTIARCH)/
+	#mkdir -p debian/libsrt1.4-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
+	#cp debian/build/gnutls/libsrt*so* debian/libsrt1.4-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)/
 	#mkdir -p ./debian/srt-tools/usr/bin
 	#for n in srt-file-transmit srt-live-transmit srt-tunnel; do \
 	#	cp debian/build/gnutls/srt-live-transmit ./debian/srt-tools/usr/bin/; \
@@ -57,10 +55,13 @@
 	cd build-gnutls && $(MAKE) install DESTDIR=../debian/tmp   # Does not overwrite anything.
 	test -f debian/tmp/usr/bin/stransmit || cp debian/tmp/usr/bin/srt-live-transmit debian/tmp/usr/bin/stransmit
 
+override_dh_auto_install-indep:
+
+
 override_dh_install:
 	dh_install
-	install -d debian/libsrt-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	install -m 0644 build-openssl/*.pc debian/libsrt-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	install -d debian/libsrt-openssl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	install -m 0644 build-openssl/*.pc debian/libsrt-openssl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 	install -d debian/libsrt-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 	install -m 0644 build-gnutls/*.pc debian/libsrt-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 
@@ -75,5 +76,5 @@
 	-o ./debian/srt-live-transmit.1 ./build-gnutls/srt-live-transmit
 	dh_installman
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_auto_test:
+	true
